xcb_shm_put_image(3)

NAME
xcb_shm_put_image -

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_void_cookie_t xcb_shm_put_image(xcb_connection_t *conn, xcb_drawable_t drawable, xcb_gcontext_t gc, uint16_t total_width, uint16_t total_height, uint16_t src_x, uint16_t src_y, uint16_t src_width, uint16_t src_height, int16_t dst_x, int16_t dst_y, uint8_t depth, uint8_t format, uint8_t send_event, xcb_shm_seg_t shmseg, uint32_t offset);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

gc  TODO: NOT YET DOCUMENTED.

total_width
    TODO: NOT YET DOCUMENTED.

total_height
    TODO: NOT YET DOCUMENTED.

src_x
    TODO: NOT YET DOCUMENTED.

src_y
    TODO: NOT YET DOCUMENTED.

src_width
    TODO: NOT YET DOCUMENTED.

src_height
    TODO: NOT YET DOCUMENTED.

dst_x
    TODO: NOT YET DOCUMENTED.

dst_y
    TODO: NOT YET DOCUMENTED.

depth
    TODO: NOT YET DOCUMENTED.

format
    TODO: NOT YET DOCUMENTED.

send_event
    TODO: NOT YET DOCUMENTED.

shmseg
    TODO: NOT YET DOCUMENTED.

offset
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_shm_put_image_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.